#78 closed defect (fixed)

rtems++ DEBUG variant build fails

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.5
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The rtems++/Makefile.am has a -lrtems++ that does not
account for the build variant. Fix for 4.5 branch
attached. It will be in 4.5.1-pre3.

After applying this patch, bootstrap must be run from
libtests. Also as best I can tell, the dependencies
in the 4.5 branch are not perfect so I have to reconfigure
to get the change all the way to a Makefile.

Release:
RTEMS-4.5 and probably CVS trunk

Attachments (1)

patch (484 bytes) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Nov 1, 2001 at 5:55:33 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: working->closed
State-Changed-Why: Committed and tested on both 4.5 branch and trunk.

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

Attachment: patch added

patch

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.